Subject: categories: Tor in toposes

From: Michael Barr <[email-masked]>
Date: Tue, 26 Sep 2000 10:30:36 -0400 (EDT)

The category of abelian groups (or modules over a ring object) in a
Grothendieck topos does not have any non-zero projectives in general.  But
free modules are still flat (because the associated sheaf functor
preserves sums and monics) and so every module has a flat resolution and
this ought to suffice to define Tor.  But there are some delicate
questions involving well-definedness and functoriality because you cannot
lift maps between flats.  Does anyone know if this has been published
anywhere?